Topics

Error while package, or generate pot file for add-on


 

Hi all
try generate a pot file from an add-on folder by typing scon pot and received the following errors:
scons: Reading SConscript files ...
scons: done reading SConscript files.
scons: Building targets ...
scons: warning: No version of Visual Studio compiler found - C/C++ compilers most likely not set correctly
File "C:\python37\Scripts\scons.exe\__main__.py", line 7, in <module>
Generating pot file unmute.pot
’xgettext’ is not recognized as an internal or external command,
operable program or batch file.
scons: *** [unmute.pot] Error 1
scons: building terminated because of errors.
I installed everything said in NVDA add-on development, except copy xgettext.exe and msgfmt.exe to add-on folder because that will display error missing dll file.
This error is simula if I type scon to buit an add-on package.
Before, I use Python 3.7.9, but now I removed, and install 3.7.8 as the documentation said, but same problem still occurs.
Anyone who know how to solve this? Please help me.
Cuong